package main

import (
	"bufio"
	"fmt"
	"net"
	"os"
)

func Hex(ip net.IP) string {
	i := ip.To4()

	r := ""
	for _, b := range i {
		r += fmt.Sprintf("%02X", b)
	}
	return r
}

func main() {
	s := bufio.NewScanner(os.Stdin)
	for s.Scan() {
		ip := net.ParseIP(s.Text())
		fmt.Printf("%+v\n", Hex(ip))
	}
}
